Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.referencing.operation
Interface Matrix

All Superinterfaces:
  Cloneable

    @UML(identifier="PT_Matrix",
         specification=OGC_01009)
    public interface Matrix

extends Cloneable

A two dimensional array of numbers. Row and column numbering begins with zero. The API for this interface matches closely the API in various matrix implementations available in Java3D, which should enable straightforward implementations. Java3D provides matrix for the general case and optimized versions for 3×3 and 4×4 cases, which are quite common in a transformation package.

Since:
  GeoAPI 1.0
Version:
  Implementation specification 1.0
See Also:
  `Matrix3d`, `Matrix4d`, `GMatrix`, `AffineTransform`, `PerspectiveTransform`, `Transform3D`, Jama matrix, JSR-83 Multiarray package

Method Summary
`Object` | `clone()` Returns a clone of this matrix.
`double` | `getElement(int row, int column)` Retrieves the value at the specified row and column of this matrix.
`int` | `getNumCol()` Returns the number of colmuns in this matrix.
`int` | `getNumRow()` Returns the number of rows in this matrix.
`boolean` | `isIdentity()` Returns `true` if this matrix is an identity matrix.
`void` | `setElement(int row, int column, double value)` Modifies the value at the specified row and column of this matrix.

Method Detail

### getNumRow

    @Extension
    int getNumRow()

  Returns the number of rows in this matrix.

  Returns:
    The number of rows in this matrix.

### getNumCol

    @Extension
    int getNumCol()

  Returns the number of colmuns in this matrix.

  Returns:
    The number of columns in this matrix.

### getElement

    @Extension
    double getElement(int row,
                                int column)

  Retrieves the value at the specified row and column of this matrix.

  Parameters:
    `row` - The row number to be retrieved (zero indexed).
    `column` - The column number to be retrieved (zero indexed).
  Returns:
    The value at the indexed element.

### setElement

    @Extension
    void setElement(int row,
                              int column,
                              double value)

  Modifies the value at the specified row and column of this matrix.

  Parameters:
    `row` - The row number to be retrieved (zero indexed).
    `column` - The column number to be retrieved (zero indexed).
    `value` - The new matrix element value.

### isIdentity

    @Extension
    boolean isIdentity()

  Returns `true` if this matrix is an identity matrix.

  Returns:
    `true` if this matrix is an identity matrix.

### clone

    Object clone()

  Returns a clone of this matrix.

  See Also:
    `Object.clone()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.